{% extends "include/base.html" %}
{% load static %}

{% block name_page %}
  <title>Sign up</title>
{% endblock name_page %}

{% block authority %}
  {% include "include/unregister.html" %}
{% endblock authority %}   

{% block content %}
  <div class="col-8 log registration">
    <div class="row topic-name">
        <span class="department">Registration</span>
    </div>
    <form name="sigin">
        <div class="mb-3 row">
            <label for="validationEmailSignUp" class="col-sm-2 col-form-label">Email</label>
            <div class="col-sm-6">
                <input type="text" class="form-control is-invalid" id="validationEmailSignUp" aria-describedby="validationFeedbackEmailSignUp" placeholder="dr_pepper" maxlength="20" required>
                <div id="validationFeedbackEmailSignUp" class="invalid-feedback">
                    Sorry, this login already registred!
                </div>
            </div>
        </div>
        <div class="mb-3 row">
            <label for="validationNickNameSignUp" class="col-sm-2 col-form-label">Nickname</label>
            <div class="col-sm-6">
                <input type="email" class="form-control is-invalid" id="validationNickNameSignUp" aria-describedby="validationFeedbackNickNameSignUp" placeholder="dr.pepper@mail.ru" maxlength="50" required>
                <div id="validationFeedbackNickNameSignUp" class="invalid-feedback">
                    Sorry, this email address already registred!
                </div>
            </div>
        </div>
        <div class="mb-3 row">
            <label for="validationLoginSignUp" class="col-sm-2 col-form-label">Login</label>
            <div class="col-sm-6">
                <input type="text" class="form-control is-invalid" id="validationLoginSignUp" aria-describedby="validationFeedbackLoginSignUp" placeholder="Dr.Pepper" maxlength="20" required>
                <div id="validationFeedbackLoginSignUp" class="invalid-feedback">
                    Sorry, this nickname already registred!
                </div>
            </div>
        </div>
        <div class="mb-3 row">
            <label for="validationPasswordSignUp" class="col-sm-2 col-form-label">Password</label>
            <div class="col-sm-6">
                <input type="password" class="form-control is-invalid" id="validationPasswordSignUp" aria-describedby="validationFeedbackPasswordSignUp" maxlength="30" required>
                <div id="validationFeedbackPasswordSignUp" class="invalid-feedback">
                    Sorry, incorrect password!
                </div>
            </div>
        </div>
        <div class="mb-3 row">
            <label for="validationRepeatPassword" class="col-sm-2 col-form-label">Repeat password</label>
            <div class="col-sm-6">
                <input type="password" class="form-control is-invalid" id="validationRepeatPassword" aria-describedby="validationFeedbackRepeatPassword" maxlength="30" required>
                <div id="validationFeedbackRepeatPassword" class="invalid-feedback">
                    Sorry, passwords does not match!
                </div>
            </div>
        </div>
        <div class="mb-3 row">
            <label for="formUploadAvatar" class="col-sm-2 col-form-label">Upload avatar</label>
            <div class="col-sm-6">
                <input type="file" class="form-control form-control-100" id="formUploadAvatar" accept="image/*">
            </div>    
        </div>
        <div class="row register">
            <button type="submit" class="btn btn-register">Register!</button>
        </div> 
   </form>
  </div> 
{% endblock content %}   